For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Us
API ReferenceDeveloper Guides
API ReferenceDeveloper Guides
    • Getting Started
  • Customer Data API
      • POSTAdd screening check information
      • POSTAdd SAR information
      • POSTAdd risk assessment information
      • POSTAdd person information
      • POSTAdd onboarding flow information
      • POSTAdd IDV information
      • POSTAdd account status information
      • POSTAdd access information
  • Transaction Data API
Contact Us
LogoLogo
Customer Data APIRetail

Add screening check information

POST
https://api.cable.tech/v1/retail/screening_check
POST
/v1/retail/screening_check
$curl -X POST https://api.cable.tech/v1/retail/screening_check \
> -H "x-api-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "timestamp": "2024-01-15T09:30:00Z",
> "data": {
> "screening_id": "SCRN-20240115-987654",
> "screening_type": [
> "SANCTION",
> "PEP",
> "ADVERSE_MEDIA"
> ],
> "screening_outcome": [
> "POSITIVE",
> "NEGATIVE",
> "TRUE_POSITIVE",
> "TRUE_NEGATIVE",
> "FALSE_POSITIVE",
> "FALSE_NEGATIVE"
> ],
> "screening_provider": "ComplyAdvantage"
> },
> "parent": {
> "id": "CUST-123456789"
> }
> }
>]'
200Successful
1{
2 "success": true
3}
Retail endpoint for adding new screening check information
Was this page helpful?
Previous

Add SAR information

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Request

Request body for adding screening checks information, such as PEP, AM & Sanctions for a parent entity

timestampdatetimeRequired

Original timestamp relating to this screening check information creation/change

dataobjectRequired
parentobjectRequired

Response

Operation success
successbooleanDefaults to true
You probably did something wrong if you set this to false